Subject: RE: [AAA-WG]: question on Diameter

From: <[email-masked]>
Date: Mon, 3 May 2004 13:50:41 +0300

Hi,

Correct me if I'm wrong, but according to the Peer State Machine
defined in RFC3588 CER/CEA negotiation is possible within existing
connection.

> Upgrade on the fly?

Yes, this is one possible use-case. Other would be configuration
change -- for example an ISP could enable a Diameter-Proxy to support an
additional Diameter Application.

> Even if a peer is upgraded on the fly without going down, the 
> right answer is probably to bring up other connections, negotiate CER/CEA, 
> and if they are upgraded, drop the existing connections.

I think this might be typical behavior, but I don't see
any reason in the spec why change in capabilities
couldn't be negotiated on-the-fly within existing connection.

BR,
Mikko

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of
> ext Bernard Aboba
> Sent: 30 April, 2004 18:34
> To: MCarmen
> Cc: [email-masked]
> Subject: Re: [AAA-WG]: question on Diameter
> 
> 
> 
> I don't think this makes sense.
> 
> The peers announce all their capabilities in the CER/CEA and this is
> typically something that does not change on the fly.  In what scenario
> would the fundamental capabilities of the peers change in 
> mid-connection?
> Upgrade on the fly?
> 
> In a situation where firmware is upgraded, connections will
> typically go down and the peer will announce its new capabilities and
> negotiate them within the CER/CEA.
> 
> Even if a peer is upgraded on the fly without going down, the 
> right answer
> is probably to bring up other connections, negotiate CER/CEA, 
> and if they
> are upgraded, drop the existing connections.  This could be 
> an issue with
> RFC 3588 because Diameter only allows one connection at a 
> time between two
> peers.  So I think you'd need to bring down a connection 
> between two peers
> to re-negotiate CER/CEA between them.
> 
> 
> 
> On Fri, 30 Apr 2004, MCarmen wrote:
> 
> > Hi all,
> >
> > Just a question on RFC3588. In the CER/CEA chapter it is said:
> >
> > " When two Diameter peers establish a transport connection, 
> they MUST
> > exchange the Capabilities Exchange messages, as specified 
> in the peer
> > state machine (see Section 5.6).  This message allows the 
> discovery of a
> > peer's identity and its capabilities (protocol version 
> number, supported
> > Diameter applications, security mechanisms, etc.) "
> >
> > Is it possible to exchange again the Capabilities Exchange 
> messages once
> > the connection is already  established to modify my capabilities?
> >
> > thanks,
> > MCarmen
> >
>